/***************************************************************************
 * Copyright 2012 by
 *  + Christian-Albrechts-University of Kiel
 *    + Department of Computer Science
 *      + Software Engineering Group 
 *  and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.common.exception;

/**
 * This exception shows that an attempt of saving a project has failed, because a newer version is available. In other words: The project has been modified in the
 * meanwhile.
 * 
 * @author Nils Christian Ehmke
 * @version 1.0
 */
public class NewerProjectException extends Exception {

	private static final long serialVersionUID = 1L;

	/**
	 * Creates a new instance of this class.
	 */
	public NewerProjectException() {
		// No code necessary
	}

	/**
	 * Creates a new instance of this class using the given parameters.
	 * 
	 * @param msg
	 *            The message used for the exception.
	 */
	public NewerProjectException(final String msg) {
		super(msg);
	}
}
